Page MenuHomePhabricator

Switch to SQLite as the RESTBase back-end in MW-Vagrant
Closed, ResolvedPublic

Description

Currently we are using Cassandra as the (only possible) storage back-end for RESTBase in MediaWiki-Vagrant. However, it consumes a lot of user's precious memory and is really not needed for a development set-up. We are working on getting T88191: SQLite3 storage module back-end for RESTBase out of the door, and as soon as it's ready, we can switch to the more lightweight SQLite variant.

Event Timeline

mobrovac created this task.Jul 30 2015, 5:48 PM
mobrovac raised the priority of this task from to Normal.
mobrovac updated the task description. (Show Details)
mobrovac added a subscriber: mobrovac.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2015, 5:48 PM
mobrovac claimed this task.Aug 11 2015, 5:39 PM

In order to keep the compatibility with Windows hosts which do not allow symlinks out of the box (cf. T100202), we use npm install --no-bin-links. However, the install procedure of the sqlite3 npm package relies on node-pre-gyp having a symlink created in node_modules/.bin, causing the installation to fail:

$ npm install --no-bin-links

> sqlite3@3.0.10 install /vagrant/srv/restbase/node_modules/restbase-mod-table-sqlite/node_modules/sqlite3
> node-pre-gyp install --fallback-to-build

sh: 1: node-pre-gyp: not found
npm WARN This failure might be due to the use of legacy binary "node"
npm WARN For further explanations, please read
/usr/share/doc/nodejs/README.Debian
 
npm ERR! weird error 127
npm ERR! not ok code 0
mobrovac moved this task from Backlog to In progress on the RESTBase board.Aug 12 2015, 3:48 PM

Change 231047 had a related patch set uploaded (by Mobrovac):
Switch RESTBase to use SQLite3 storage

https://gerrit.wikimedia.org/r/231047

Change 231047 merged by jenkins-bot:
Switch RESTBase to use SQLite3 storage

https://gerrit.wikimedia.org/r/231047

GWicke closed this task as Resolved.Aug 13 2015, 12:57 AM
GWicke added a subscriber: GWicke.

This has just landed. Yay!

bd808 moved this task from Awaiting review to Done on the MediaWiki-Vagrant board.Nov 23 2015, 5:00 PM